# Name of the k8s cluster where the operator is deployed. Used in the `ApplicationRegistration` naming convention.
clusterName: ""

image: ""
imagePullPolicy: Always
nodeSelector: {}
tolerations: []
replicas: 1

# Operator-specific configuration
authzOperator:
  # Identity provider (keycloak) issuer URL to fetch API access tokens from
  issuerURL: "https://keycloak.cern.ch/auth/realms/cern"
  # API base URL for interacting with the Authorization service
  authzApiURL: "https://authorization-service-api.web.cern.ch"
  # Name of the secret holding the OAuth client credentials for keycloak (used to fetch an API access token)
  # Should define {CLIENT_ID, CLIENT_SECRET}
  keycloakCredentialsSecret: "keycloak-broker-credentials"
  # the base URL to generate a link to manage an application in the Application Portal.
  # The application ID will be appended to the base URL to generate to full URL.
  applicationPortalBaseUrl: "https://application-portal.web.cern.ch/manage/"
  # control verbosity of operator logs (V level in log calls). Use 6 for maximum verbosity debug logs
  logLevel: 3
  # These values are proposed based on the performance of the operator in the Webeos cluster with 2300 ApplicationRegistrations
  # The CPU utilization remains low (<100m)
  # The memory use is 650MiB in steady state, but during intense reconciliations peaks to 1.5Gi.
  # The proposed values are a compromise and will likely need to be increased for production deployments.
  # The lifecycle controller is expected to increase resource consumption and these figures should be revised.
  resources:
    limits:
      cpu: 1000m
      memory: 1.6Gi
    requests:
      cpu: 200m
      memory: 400Mi
  # Time between periodic reconciliations of all ApplicationRegistrations with the lifecycle controller (as a go duration)
  # optional
  lifecycleSyncPeriod: 5m
  # Number of Applications requested in each page of AuthzAPI responses
  # optional
  authzAPIApplicationsPerPage: 1000
  # Cron schedule to trigger deletion
deletionCronJob:
  schedule: "0 9 * * * "
  dryRun: false
  maxProjectDeletions: 10